Subject: Re: [PATCH 0/2] builtin/show-ref.c: support `--count` for limiting output

From: Derrick Stolee <[email-masked]>
Date: Tue, 7 Jun 2022 15:41:14 -0400

On 6/6/2022 7:00 PM, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
> 
>> If you're strongly opposed to having `show-ref` match `for-each-ref`'s
>> `--count` option, I won't be too sad. But I'm not in a huge rush to
>> replace this series with `git --pipe-to-head-N=<n>` either, FWIW.
> 
> Heh, to me "git --pipe-to-head-N=<n>" smells equally absurd, too ;-)

I wonder if we could teach Git to skip an extra process if we see

	git -c "core.pager=head -n=<N>" ...

?

Thanks,
-Stolee